local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ClassesForGold(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Classes For Better Gold")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Druid:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting off with the “Gathering God” the Druid. This class is by farm one of the best classes for gold farming with Herbalism more specifically. This is because of the Druids transformations leading them to not being able to leave there Flight or Travel forms when gathering herbs in the open world and as such is a very powerful gold making edge to this. However, this can be done on other classes but this will require the craft or purchase of a Sky Golem mount which provides this effect also. These travel form not only are perfect for gathering but also a fast way of getting around such as in water they have the fastest swim speeds within the game and with easy transitions with there forms make them a highly effective utility class to start out with in regards to the gold farming scene. Another bonus when it comes to the Druid is the ability of “Dreamwalk” brought to the class in the Legion expansion. This allows Druids to teleport to the Grove which in essence does not do much until you realise that you can reuse this ability to teleport back towards where you originally were in the game. Meaning that if you are farming a dungeon and have to make your way back. You are able to use this at the end of your run and then go to the grove. Here you can reset the dungeon, teleport back and run it again. This is one of the fastest methods of farming for this ability alone and as such makes them also one of the best for gold farming within dungeons. Lastly we will talk about Moonfire, the cornerstone ability in the Druid arsenal. This ability is a long range dot ( damage over time ) and is used mainly for tagging mobs outright. Failing this on lower based mobs it is used in farms such as the Volatile Fire and Water farm in combination with a targetting macro for use of use increasing mobs killed per hour.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

local MultiLineEditBox = AceGUI:Create("MultiLineEditBox")
MultiLineEditBox:SetLabel("Macro:")
MultiLineEditBox:SetText("/Target <mobs name> /Cast Moonfire")
MultiLineEditBox:SetWidth(350)
MultiLineEditBox:SetNumLines(2)
scroll:AddChild(MultiLineEditBox)  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mage:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we move into the Mage class, we will notice quite a fair amount of overall utility in regards to this class. The Mage has the ability of Teleporting which can be useful in getting around the Open World a lot faster than most other classes. Not only this but the Mage has some useful abilities for clearing mobs in the surrounding area. Key moves like Blizzard and Arcane Blast are quite common in there farming style as these are typically quite handy in taking out large packs of mobs with relative ease. As for movement speed they do lack quite few speed bonuses but do also have the ability of Blink which Teleports the Mage a few passes in front of them self, making it handy to get around in this manor. Mages do have a nice up tick when it comes to farming as they have a special set of farms only they can do. These are the Tome of Polymorph farms, which the tomes can only be obtained through a certain set of mobs and only drop for mages farming these. This in turn makes the price of these tomes quite pricey and can be aided by farming all which are the Tome of Polymorph: Polar Bear Cub, Monkey and Porcupine.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Rogue:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Rogues have a variety of different abilities suited for gold farming and none other than there speed boosts are one of the most efficient moves. Combined with Toggled stealth this make it easy for Rogues to get around and farm more effectively. They have also the move “Fan of Knives” which provides strong aoe burst damage and paired with there selection of poisons can add damage over time to targets. This is a great way to gather up mobs on a select farm and burn them down, along with using it to tag higher level mobs for farming also. One keynote ability for the rogue class is there ability to “Picklocking” which lets them open any locked item in the game, either Chests and Lockboxes. These containers can contain additional loot which is usually overlooked and gives them the edge when farming old dungeons for more loot and additional loot for the Lockboxes after farming, instead of vendoring the lockboxes in question. Lastly the Rogue class also has a specific set of farms they can do for there class. These are the Dice based farms which are, Dwarven Dice, Worn Troll Dice and Loaded Gnomish Dice. These toys can be sold on the auction house for a pretty penny and thus can provide another stream of gold when doing your daily routine.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlock:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Warlock class is very helpful class when it comes to gold farming. This can based off of multiple factors and one that is a keynote is the ability to do high damage along with being able to use there Void Walker to tank for them making it less likely for them to take damage directly. This is a useful class for farming harder to farm dungeons for other classes making them have an edge in this field of gold making. Along with this have strong aoe due to there ability of “Rein of Fire” and also amazing damage over time effects like “Curse of Agony”. These are great abilities to gather up large amounts of mobs with having them being tanked and then burning them down with there strong aoe making them a good choice for gold farms that suit mass mob farming. Along with this Warlocks have one unique gold farm that only they can do. This is the Sealed Tome of the Lost Legion gold farm. This is a tome that teaches Warlocks the cosmetic of Green Fire making it a good seller all around. This farm is done within the Isle of Thunder and the Warlock can only get this from farming all of the rares in this area.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Demon Hunter:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to there High movement enhancing abilities the Demon Hunter class can be summarised quite nicely as a top tier Utility class. This is because they have the useful ability for “Glide” which can be used to prevent fall damage and being able to overcome obstacles easier than most other classes. Along with this they have the best survive ability of any class in the game thus far making them one of the best classes to farming the hardest gold farms. This is due to the tank specialisation with there constant self healing for themselves and if performed correct, they can take on more mobs per hour in current content making them top picks for doing the latest content without worry of falling in the gold farm. There Rush abilities is an ability to take note of for gold farming as this can be used to get through dungeons even faster and paired with the Glide ability can overcome even more obstacles in there way. With that utility being used you are able to tag mobs with there Warglaives and utilising all of this makes the Demon Hunter class the ideal class for doing current content gold farming overall.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Paladin:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Paladins are known to be some of the most unused classes for gold farming. This is because of there ability sets based upon single target damage mostly. However, they are able to use some aoe but this is not as effective to other classes overall. They do have one perk which is there movement speed increases which can be used either while mounted, to get around zones more effectively or run through Raids and Dungeons for reducing time. Overall the Paladin class is not the class to specialise in if you are looking to obtaining effective gold per hour ratios and as such we should look towards another class.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Monk:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for the Monk class, we can see quite a notable amount of gold farming potential throughout this classes abilities. One keynote ability is the “Ox Statue” this is used by monks in mainly hyperspawn farms. This is because it will pull all surrounding mobs to the statue which then can be burned down with surprising ease. It is mainly used in groups farms and is something to have as a playable character for this reason. Though it maybe used a great deal in Group farms but it can also be used in Solo farms such as the Wetlands farm for the Crimson Whelpling. The a positioning of the statue in between the Orc's and Dragonkin, you are able to slay them with ease decreasing the time to slay and loot said mobs in an effective manor. Although the Monk class is great for gathering large amounts of mobs we can see that they have some abilities which are very useful when doing so. Abilities such as “Spinning Crane Kick” are used to take out large amounts of mobs with the Statue for maximum efficiency, making it so that you are able to increasing the amount of mobs killed per hour equalling in more loot.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warrior:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Warriors have a wide array of physical abilities which lead to great gold farming. Notably the ability “Whirlwind” is a keynote one you should be using as this will mean you are always providing strong aoe damage and as such the Warrior will be able to slay more mobs per hour. Following onto movement speeds, this class can use there “Charge” ability to get closer towards enemies or even as a method to get around dungeons and raids faster, letting them clear more ground in less time. Another ability for the Warrior is “Heroic Leap” which allows you to clear ground faster and provide aoe damage upon landing. This is a great way for making your way round instances and open world farms and also can be used to get over obstacles most other classes cannot, which is great for clearing content faster leading into time effectively well spent.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Hunter:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now as for the Hunter class, we can see that they have some abilities which are quite handy in regards to long range farming. However, there keynote is of course the use of there pets for tanks. These can be used in such away as to tank for the Hunter reducing there damage taken and also pull large amounts of mobs onto them. This combined with there “Barrage” ability makes it so that they are able to clear large amounts of mobs with relative ease while also increase the Hunter survivability. On the subject of survivability Hunters can make good use of there “Feint Death” ability to reset mobs or drop aggro which can lead into exclusive farms only Hunters can do. Following onto run times the Hunter can use there “Aspect of the Cheetah” ability making it so there movement speed is increased and as such they are also able to clear large Dungeons and Raids much faster than most other classes.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Priest:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Priest class is one of the classes that is not widely used for gold farming but does have some helpful abilities in regards to this. The ability of “Shadow Word: Pain” is a great way of tagging mobs and also dealing damage to them over time. This is quite handy when running old Dungeons and Raids, as you are able to take out mobs before you reach them or pulling multiple mobs towards yourself. This in turn makes it a great way of farm gold with this class. However, the Priest class is not what you would consider a Gold Farming class much like the Paladin but can be done as so. This is not recommended for long term gold farming as you would want to look towards a class that can provide more efficiency to the table.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shaman:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Mostly a very unused class in the Gold Farming Scene, the Shaman is actually I surprisingly good Class for farming gold either in the Open World or in Dungeons and Raids. There most notable ability is “Chain Lightning” which can damages large amounts of mobs at once providing strong aoe damage to there targets. This coupled with there high burst damage potential can be a very effective way to gold farm and can provide more mobs per hour slain equalling in more gold. Much like with the Hunter and Warlock the Shaman class can summon Elementals to fight for them. The most notable of which is the “Earth Elemental” which can tank for the Shaman while they produce all of the damage against mobs. Though this does come as a draw back as the Elementals are summoned on a time limit and once resolved will disappear, meaning the Shaman farming must be able to take out the mobs quick enough to make up for this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Death Knight:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we will be finishing up with the Death Knight class. This class has some great abilities in regards to Melee combat which are perfect for gold farming. There use of Plagues and Damage over time debuffs are a great way of burning down large amount of mobs in one session and also combined with there already established tank specs make them a prime class for mass farming. Along with this they are able to use abilities such “Army of the Dead” to swarm other mobs and upon the ghouls summoned and then dying they will explode causing more burst aoe damage to enemies around them. Death Knight also have extra abilities such as “Wraith Walk” which they can use to increase the movement speed for short time but increasing there run speeds through Raids and Dungeons.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

























end